import request from '@/utils/request'

// 查询房屋信息列表
export function listHouseinfo(query) {
  return request({
    url: '/szxc/houseinfo/list',
    method: 'get',
    params: query
  })
}

// 查询房屋信息详细
export function getHouseinfo(id) {
  return request({
    url: '/szxc/houseinfo/' + id,
    method: 'get'
  })
}

// 新增房屋信息
export function addHouseinfo(data) {
  return request({
    url: '/szxc/houseinfo',
    method: 'post',
    data: data
  })
}

// 修改房屋信息
export function updateHouseinfo(data) {
  return request({
    url: '/szxc/houseinfo',
    method: 'put',
    data: data
  })
}

// 删除房屋信息
export function delHouseinfo(id) {
  return request({
    url: '/szxc/houseinfo/' + id,
    method: 'delete'
  })
}
